ON_PlaneEquation Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_point.h>`

Inheritance diagram for ON_PlaneEquation:

## Public Member Functions

| ON_PlaneEquation ()
| ON_PlaneEquation (double xx, double yy, double zz, double dd)
bool | IsValid () const
bool | IsSet () const
bool | Create (ON_3dPoint P, ON_3dVector N)
double | ValueAt (ON_3dPoint P) const
double | ValueAt (ON_4dPoint P) const
double | ValueAt (ON_3dVector P) const
double | ValueAt (double x, double y, double z) const
double * | ValueAt (int Pcount, const ON_3fPoint *P, double *value, double value_range[2]) const
double * | ValueAt (int Pcount, const ON_3dPoint *P, double *value, double value_range[2]) const
double | ZeroTolerance () const
bool | Transform (const ON_Xform &xform)
ON_3dPoint | ClosestPointTo (ON_3dPoint point) const
double | MinimumValueAt (const ON_BoundingBox &bbox) const
double | MaximumValueAt (const ON_BoundingBox &bbox) const
double | MaximumValueAt (bool bRational, int point_count, int point_stride, const double *points, double stop_value) const
double | MinimumValueAt (bool bRational, int point_count, int point_stride, const double *points, double stop_value) const
double | MaximumAbsoluteValueAt (bool bRational, int point_count, int point_stride, const double *points, double stop_value) const
bool | IsNearerThan (const class ON_BezierCurve &bezcrv, double s0, double s1, int sample_count, double endpoint_tolerance, double interior_tolerance, double *smin, double *smax) const
bool | operator== (const ON_PlaneEquation &) const
bool | operator!= (const ON_PlaneEquation &) const
Public Member Functions inherited from ON_3dVector
| ON_3dVector ()
| ON_3dVector (double x, double y, double z)
| ON_3dVector (const ON_2dVector &)
| ON_3dVector (const ON_2dPoint &)
| ON_3dVector (const ON_3dPoint &)
| ON_3dVector (const double *)
| ON_3dVector (const ON_2fVector &)
| ON_3dVector (const ON_3fVector &)
| ON_3dVector (const ON_2fPoint &)
| ON_3dVector (const ON_3fPoint &)
| ON_3dVector (const float *)
| operator double * ()
| operator const double * () const
ON_3dVector & | operator= (const ON_2dVector &)
ON_3dVector & | operator= (const ON_2dPoint &)
ON_3dVector & | operator= (const ON_3dPoint &)
ON_3dVector & | operator= (const double *)
ON_3dVector & | operator= (const ON_2fVector &)
ON_3dVector & | operator= (const ON_3fVector &)
ON_3dVector & | operator= (const ON_2fPoint &)
ON_3dVector & | operator= (const ON_3fPoint &)
ON_3dVector & | operator= (const float *)
ON_3dVector | operator- () const
ON_3dVector & | operator*= (double)
ON_3dVector & | operator/= (double)
ON_3dVector & | operator+= (const ON_3dVector &)
ON_3dVector & | operator-= (const ON_3dVector &)
double | operator* (const ON_3dVector &) const
double | operator* (const ON_3dPoint &) const
double | operator* (const ON_3fVector &) const
ON_3dVector | operator* (int) const
ON_3dVector | operator/ (int) const
ON_3dVector | operator* (float) const
ON_3dVector | operator/ (float) const
ON_3dVector | operator* (double) const
ON_3dVector | operator/ (double) const
ON_3dVector | operator+ (const ON_3dVector &) const
ON_3dPoint | operator+ (const ON_3dPoint &) const
ON_3dVector | operator- (const ON_3dVector &) const
ON_3dPoint | operator- (const ON_3dPoint &) const
ON_3dVector | operator+ (const ON_2dVector &) const
ON_3dPoint | operator+ (const ON_2dPoint &) const
ON_3dVector | operator- (const ON_2dVector &) const
ON_3dPoint | operator- (const ON_2dPoint &) const
ON_3dVector | operator+ (const ON_3fVector &) const
ON_3dPoint | operator+ (const ON_3fPoint &) const
ON_3dVector | operator- (const ON_3fVector &) const
ON_3dPoint | operator- (const ON_3fPoint &) const
ON_3dVector | operator+ (const ON_2fVector &) const
ON_3dPoint | operator+ (const ON_2fPoint &) const
ON_3dVector | operator- (const ON_2fVector &) const
ON_3dPoint | operator- (const ON_2fPoint &) const
double | operator* (const ON_4dPoint &) const
ON_3dVector | operator* (const ON_Xform &) const
bool | operator== (const ON_3dVector &) const
bool | operator!= (const ON_3dVector &) const
bool | operator<= (const ON_3dVector &) const
bool | operator>= (const ON_3dVector &) const
bool | operator< (const ON_3dVector &) const
bool | operator> (const ON_3dVector &) const
double & | operator[] (int)
double | operator[] (int) const
double & | operator[] (unsigned int)
double | operator[] (unsigned int) const
bool | IsValid () const
bool | IsUnsetVector () const
void | Set (double x, double y, double z)
int | MaximumCoordinateIndex () const
double | MaximumCoordinate () const
int | MinimumCoordinateIndex () const
double | MinimumCoordinate () const
double | LengthSquared () const
double | Length () const
bool | Decompose (const ON_3dVector &, const ON_3dVector &, const ON_3dVector &, double *, double *, double *) const
int | IsParallelTo (const ON_3dVector &other, double angle_tolerance=ON_DEFAULT_ANGLE_TOLERANCE) const
bool | IsPerpendicularTo (const ON_3dVector &other, double angle_tolerance=ON_DEFAULT_ANGLE_TOLERANCE) const
double | Fuzz (double tolerance=ON_ZERO_TOLERANCE) const
void | Zero ()
void | Reverse ()
bool | Unitize ()
double | LengthAndUnitize ()
bool | IsTiny (double tiny_tol=ON_ZERO_TOLERANCE) const
bool | IsZero () const
bool | IsUnitVector () const
bool | PerpendicularTo (const ON_3dVector &)
bool | PerpendicularTo (const ON_3dPoint &, const ON_3dPoint &, const ON_3dPoint &)
void | Transform (const ON_Xform &)
void | Rotate (double angle, const ON_3dVector &axis)
void | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis)

## Public Attributes

double | d
Public Attributes inherited from ON_3dVector
double | x
double | y
double | z

## Static Public Attributes

static const ON_PlaneEquation | UnsetPlaneEquation
static const ON_PlaneEquation | ZeroPlaneEquation
Static Public Attributes inherited from ON_3dVector
static const ON_3dVector | ZeroVector
static const ON_3dVector | XAxis
static const ON_3dVector | YAxis
static const ON_3dVector | ZAxis
static const ON_3dVector | UnsetVector

## Additional Inherited Members

Static Public Member Functions inherited from ON_3dVector
static const ON_3dVector & | UnitVector (int)

## Detailed Description

Definition at line 1192 of file opennurbs_point.h.

## Constructor & Destructor Documentation

## ON_PlaneEquation() [1/2]

ON_PlaneEquation::ON_PlaneEquation | ( |  | ) |

## ON_PlaneEquation() [2/2]

ON_PlaneEquation::ON_PlaneEquation | ( | double | xx,
|  | double | yy,
|  | double | zz,
|  | double | dd
| ) |  |

## Member Function Documentation

## ClosestPointTo()

ON_3dPoint ON_PlaneEquation::ClosestPointTo | ( | ON_3dPoint | point | ) | const

## Create()

bool ON_PlaneEquation::Create | ( | ON_3dPoint | P,
|  | ON_3dVector | N
| ) |  |

## IsNearerThan()

bool ON_PlaneEquation::IsNearerThan | ( | const class ON_BezierCurve & | bezcrv,
|  | double | s0,
|  | double | s1,
|  | int | sample_count,
|  | double | endpoint_tolerance,
|  | double | interior_tolerance,
|  | double * | smin,
|  | double * | smax
| ) |  | const

## IsSet()

bool ON_PlaneEquation::IsSet | ( |  | ) | const

## IsValid()

bool ON_PlaneEquation::IsValid | ( |  | ) | const

## MaximumAbsoluteValueAt()

double ON_PlaneEquation::MaximumAbsoluteValueAt | ( | bool | bRational,
|  | int | point_count,
|  | int | point_stride,
|  | const double * | points,
|  | double | stop_value
| ) |  | const

## MaximumValueAt() [1/2]

double ON_PlaneEquation::MaximumValueAt | ( | const ON_BoundingBox & | bbox | ) | const

## MaximumValueAt() [2/2]

double ON_PlaneEquation::MaximumValueAt | ( | bool | bRational,
|  | int | point_count,
|  | int | point_stride,
|  | const double * | points,
|  | double | stop_value
| ) |  | const

## MinimumValueAt() [1/2]

double ON_PlaneEquation::MinimumValueAt | ( | const ON_BoundingBox & | bbox | ) | const

## MinimumValueAt() [2/2]

double ON_PlaneEquation::MinimumValueAt | ( | bool | bRational,
|  | int | point_count,
|  | int | point_stride,
|  | const double * | points,
|  | double | stop_value
| ) |  | const

## operator!=()

bool ON_PlaneEquation::operator!= | ( | const ON_PlaneEquation & |  | ) | const

## operator==()

bool ON_PlaneEquation::operator== | ( | const ON_PlaneEquation & |  | ) | const

## Transform()

bool ON_PlaneEquation::Transform | ( | const ON_Xform & | xform | ) |

## ValueAt() [1/6]

double ON_PlaneEquation::ValueAt | ( | ON_3dPoint | P | ) | const

## ValueAt() [2/6]

double ON_PlaneEquation::ValueAt | ( | ON_4dPoint | P | ) | const

## ValueAt() [3/6]

double ON_PlaneEquation::ValueAt | ( | ON_3dVector | P | ) | const

## ValueAt() [4/6]

double ON_PlaneEquation::ValueAt | ( | double | x,
|  | double | y,
|  | double | z
| ) |  | const

## ValueAt() [5/6]

double* ON_PlaneEquation::ValueAt | ( | int | Pcount,
|  | const ON_3fPoint * | P,
|  | double * | value,
|  | double | value_range[2]
| ) |  | const

## ValueAt() [6/6]

double* ON_PlaneEquation::ValueAt | ( | int | Pcount,
|  | const ON_3dPoint * | P,
|  | double * | value,
|  | double | value_range[2]
| ) |  | const

## ZeroTolerance()

double ON_PlaneEquation::ZeroTolerance | ( |  | ) | const

## Member Data Documentation

## d

double ON_PlaneEquation::d

Definition at line 1469 of file opennurbs_point.h.

## UnsetPlaneEquation

const ON_PlaneEquation ON_PlaneEquation::UnsetPlaneEquation

static

Definition at line 1198 of file opennurbs_point.h.

## ZeroPlaneEquation

const ON_PlaneEquation ON_PlaneEquation::ZeroPlaneEquation

static

Definition at line 1199 of file opennurbs_point.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_point.h